; simple I/O examples

(load "reader-and-writer.scm")

(define (read-items-from-file fn)
  (let ((ip (open-input-file fn)))
    (reader ip)
    (close-input-port ip)))

(define (write-item-to-file fn item)
  (if (file-exists? fn)
    (delete-file fn))
  (let ((op (open-output-file fn)))
    (writer op item)
    (close-output-port op)))

(read-items-from-file "io.scm")
(write-item-to-file "io-test.txt" '(+ (* 1 2) (* 3 4)))
(read-items-from-file "io-test.txt")
