; This file defines an evaluator for symbolic expressions.

; Note that this code expects the operators
; to be symbols that evaluate to functions,
; not the actual functions.

(load "expression.scm")

(define (evaluator exp)
  (if (not (pair? exp))
      exp
      ((eval (operator exp))
       (evaluator (left exp))
       (evaluator (right exp)))))